### R code from vignette source 'AKT_I_Example.rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: AKT_I_Example.rnw:66-75
###################################################

library(varcompci)
data(dataAKT_I)
data(deadAKT_I)
dim(dataAKT_I)
head(dataAKT_I[,c(1:3)])
dim(deadAKT_I)
head(deadAKT_I)



###################################################
### code chunk number 2: AKT_I_Example.rnw:88-93
###################################################
row.names(dataAKT_I)<-as.character(dataAKT_I[,1])
akt1<-dataAKT_I["ENSG00000142208",]
#akt1
a_akt1<-aov(t(akt1[1,as.character(deadAKT_I$NAME)])~ as.factor(deadAKT_I$CL)*as.factor(deadAKT_I$G) + as.factor(deadAKT_I$G)*as.factor(deadAKT_I$Q))
summary(a_akt1)


###################################################
### code chunk number 3: AKT_I_Example.rnw:100-105
###################################################
aux<-paste(deadAKT_I$G, deadAKT_I$Q,sep="")
lab<-c("G1_Q1","G1_Q2", "G1_Q3", "G1_Q4", "G1_Q5","G2_Q1", "G2_Q2", "G2_Q3", "G2_Q4")
col_lab<-c(rep(2,5),rep(4,4))
boxplot(t(akt1[1,as.character(deadAKT_I$NAME)])~as.factor(aux), names=lab, col=col_lab)
abline(h=0, col=3, lwd=2)


###################################################
### code chunk number 4: AKT_I_Example.rnw:122-130
###################################################
deadAKT_I$eff<-as.vector(aux)
deadAKT_I2<-subset(deadAKT_I, eff!="14")
#deadAKT_I2<-subset(deadAKT_I, eff!="23")
#deadAKT_I2<-subset(deadAKT_I2, eff!="25")
deadAKT_I2$Q[deadAKT_I2$eff=="15"]<-4
#deadAKT_I2$Q[deadAKT_I2$Q==5]<-2
a_akt1_2<-aov(t(akt1[1,as.character(deadAKT_I2$NAME)])~ as.factor(deadAKT_I2$CL)*as.factor(deadAKT_I2$G) + as.factor(deadAKT_I2$G)*as.factor(deadAKT_I2$Q))
summary(a_akt1_2)


###################################################
### code chunk number 5: AKT_I_Example.rnw:135-136
###################################################
#coef(a_akt1_2)


###################################################
### code chunk number 6: AKT_I_Example.rnw:143-149
###################################################
varcomp_akt<-data.frame(t(akt1[1,as.character(deadAKT_I$NAME)]))
varcomp_akt$G<-as.vector(deadAKT_I$G)
varcomp_akt$Q<-as.vector(deadAKT_I$Q)
#varcomp_akt$Q<-as.vector(deadAKT_I$eff)
varcomp_akt$CL<-as.vector(deadAKT_I$CL)
varcomp_akt


###################################################
### code chunk number 7: AKT_I_Example.rnw:153-155
###################################################
Matrix=cbind(c(1,0),c(0,1))
Matrix


###################################################
### code chunk number 8: AKT_I_Example.rnw:160-165
###################################################
totvar=c("Q","CL")
response="ENSG00000142208"
dsn="varcomp_akt"
x<-varcompci(dsn="varcomp_akt",response=response, totvar=totvar, Matrix=Matrix)
x["ANOVA"]


###################################################
### code chunk number 9: AKT_I_Example.rnw:170-173
###################################################

x["EMS"]
x["CI"]


###################################################
### code chunk number 10: AKT_I_Example.rnw:179-187
###################################################
totvar=c("G","Q")
Matrix=cbind(c(0,0),c(1,1))

x<-varcompci(dsn="varcomp_akt",response=response, totvar=totvar, Matrix=Matrix)
x["ANOVA"]

x["EMS"]
x["CI"]


###################################################
### code chunk number 11: AKT_I_Example.rnw:193-200
###################################################
varcomp_akt<-data.frame(t(akt1[1,as.character(deadAKT_I2$NAME)]))
varcomp_akt$G<-as.vector(deadAKT_I2$G)
varcomp_akt$Q<-as.vector(deadAKT_I2$Q)
#varcomp_akt$Q<-as.vector(deadAKT_I2$eff)

varcomp_akt$CL<-as.vector(deadAKT_I2$CL)



###################################################
### code chunk number 12: AKT_I_Example.rnw:202-216
###################################################
Matrix=cbind(c(1,0),c(0,1))
totvar=c("Q","CL")
response="ENSG00000142208"
dsn="varcomp_akt"
x<-varcompci(dsn="varcomp_akt",response=response, totvar=totvar, Matrix=Matrix)
x["ANOVA"]
x["EMS"]
totvar=c("G","Q")
Matrix=cbind(c(0,0),c(1,1))

x<-varcompci(dsn="varcomp_akt",response=response, totvar=totvar, Matrix=Matrix)
x["ANOVA"]
x["EMS"]



###################################################
### code chunk number 13: AKT_I_Example.rnw:228-232
###################################################
hugos<-c("NUSAP1", "GAPDH","ASPM","PRC1", "CENPF")
inf<- c("ENSG00000137804", "ENSG00000111640", "ENSG00000066279", "ENSG00000198901","ENSG00000117724")
inf<-cbind(inf, hugos)
inf


###################################################
### code chunk number 14: AKT_I_Example.rnw:239-254
###################################################
for(k in 1:dim(inf)[1]){
varcomp_k<-data.frame(t(dataAKT_I[as.character(inf[k,1]),as.character(deadAKT_I2$NAME)]))
varcomp_k$G<-as.vector(deadAKT_I2$G)
varcomp_k$Q<-as.vector(deadAKT_I2$Q)
#varcomp_k$Q<-as.vector(deadAKT_I2$eff)
varcomp_k$CL<-as.vector(deadAKT_I2$CL)
totvar=c("G","CL")
Matrix=cbind(c(1,0),c(0,1))
response<-names(varcomp_k)[1]
x<-varcompci(dsn="varcomp_k",response=response, totvar=totvar, Matrix=Matrix)
print(inf[k,2])
print(x["ANOVA"])
#print(varcompci(dsn="varcomp_k",response=response, totvar=totvar, Matrix=Matrix,vecprint=c("EMS","CI")))
}



###################################################
### code chunk number 15: AKT_I_Example.rnw:264-280
###################################################
for(k in 1:dim(inf)[1]){
varcomp_k<-data.frame(t(dataAKT_I[as.character(inf[k,1]),as.character(deadAKT_I2$NAME)]))
varcomp_k$G<-as.vector(deadAKT_I2$G)
varcomp_k$Q<-as.vector(deadAKT_I2$Q)
#varcomp_k$Q<-as.vector(deadAKT_I2$eff)
varcomp_k$CL<-as.vector(deadAKT_I2$CL)
totvar=c("G","Q")
Matrix=cbind(c(0,0),c(1,1))
response<-names(varcomp_k)[1]
x<-varcompci(dsn="varcomp_k",response=response, totvar=totvar, Matrix=Matrix)
print(inf[k,2])
print(x["ANOVA"])
#print(x["EMS"])
print(x["CI"])
}



###################################################
### code chunk number 16: AKT_I_Example.rnw:301-304
###################################################
a_akt1_2<-aov(t(akt1[1,as.character(deadAKT_I2$NAME)])~  as.factor(deadAKT_I2$G))
summary(a_akt1_2)
coef(a_akt1_2)


###################################################
### code chunk number 17: AKT_I_Example.rnw:309-310
###################################################
sqrt(0.2163)


###################################################
### code chunk number 18: AKT_I_Example.rnw:328-330
###################################################
akt_2<-dataAKT_I[as.character(inf[,1]),as.character(deadAKT_I2$NAME)]
apply(akt_2,1, mean)


